Package org.pgpainless.signature.consumer

# Class OnePassSignatureCheck

java.lang.Object
org.pgpainless.signature.consumer.OnePassSignatureCheck

public class OnePassSignatureCheck extends Object
Tuple-class that bundles together a `PGPOnePassSignature` object, a `PGPPublicKeyRing` destined to verify the signature, the `PGPSignature` itself and a record of whether the signature was verified.

## Constructor Summary

Constructors
Constructor
Description
`OnePassSignatureCheck(org.bouncycastle.openpgp.PGPOnePassSignature onePassSignature, org.bouncycastle.openpgp.PGPPublicKeyRing verificationKeys)`
Create a new `OnePassSignatureCheck`.

## Method Summary

Modifier and Type
Method
Description
`org.bouncycastle.openpgp.PGPOnePassSignature`
`getOnePassSignature()`
Return the `PGPOnePassSignature` object.
`org.bouncycastle.openpgp.PGPSignature`
`getSignature()`
Return the signature.
`SubkeyIdentifier`
`getSigningKey()`
Return an identifier for the signing key.
`org.bouncycastle.openpgp.PGPPublicKeyRing`
`getVerificationKeys()`
Return the key ring used to verify the signature.
`void`
`setSignature(org.bouncycastle.openpgp.PGPSignature signature)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OnePassSignatureCheck

public OnePassSignatureCheck(org.bouncycastle.openpgp.PGPOnePassSignature onePassSignature, org.bouncycastle.openpgp.PGPPublicKeyRing verificationKeys)
Create a new `OnePassSignatureCheck`.

Parameters:
  `onePassSignature` - one-pass signature packet used to initialize the signature verifier.
  `verificationKeys` - verification keys

## Method Details

### setSignature

public void setSignature(org.bouncycastle.openpgp.PGPSignature signature)

### getOnePassSignature

public org.bouncycastle.openpgp.PGPOnePassSignature getOnePassSignature()
Return the `PGPOnePassSignature` object.

Returns:
  onePassSignature

### getSigningKey

public SubkeyIdentifier getSigningKey()
Return an identifier for the signing key.

Returns:
  signing key fingerprint

### getSignature

public org.bouncycastle.openpgp.PGPSignature getSignature()
Return the signature.

Returns:
  signature

### getVerificationKeys

public org.bouncycastle.openpgp.PGPPublicKeyRing getVerificationKeys()
Return the key ring used to verify the signature.

Returns:
  verification keys